summaryrefslogtreecommitdiffstats
path: root/source/x/fcitx5-anthy/fcitx5-anthy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/x/fcitx5-anthy/fcitx5-anthy.SlackBuild (renamed from source/x/fcitx-anthy/fcitx-anthy.SlackBuild)16
1 files changed, 7 insertions, 9 deletions
diff --git a/source/x/fcitx-anthy/fcitx-anthy.SlackBuild b/source/x/fcitx5-anthy/fcitx5-anthy.SlackBuild
index 6c60c2043..9e8815dc6 100755
--- a/source/x/fcitx-anthy/fcitx-anthy.SlackBuild
+++ b/source/x/fcitx5-anthy/fcitx5-anthy.SlackBuild
@@ -1,7 +1,5 @@
#!/bin/bash
-# Slackware build script for fcitx-anthy
-
# Copyright 2016 Heinz Wiesinger, Amsterdam, The Netherlands
# Copyright 2016, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
@@ -25,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
-PKGNAM=fcitx-anthy
+PKGNAM=fcitx5-anthy
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
BUILD=${BUILD:-1}
@@ -69,14 +67,14 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
fi
TMP=${TMP:-/tmp}
-PKG=$TMP/package-fcitx-anthy
+PKG=$TMP/package-fcitx5-anthy
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf fcitx-anthy-$VERSION
-tar xvf $CWD/fcitx-anthy-$VERSION.tar.?z || exit 1
-cd fcitx-anthy-$VERSION || exit 1
+rm -rf fcitx5-anthy-$VERSION
+tar xvf $CWD/fcitx5-anthy-$VERSION.tar.?z || exit 1
+cd fcitx5-anthy-$VERSION || exit 1
chown -R root:root .
find . \
@@ -91,7 +89,7 @@ cd build
-DCMAKE_CXX_FLAGS="${SLKCFLAGS}" \
-DCMAKE_C_FLAGS="${SLKCFLAGS}" \
-DCMAKE_INSTALL_PREFIX="/usr" \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
..
make $NUMJOBS || make || exit 1
@@ -99,7 +97,7 @@ cd build
cd ..
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a LICENSES/* README* $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc